MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024381Open CASCADE[OCCT] OCCT:Visualizationpublic2013-11-19 16:422015-11-05 11:50
Reporterkgv 
Assigned Tobugmaster 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024381: Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices
DescriptionCurrent implementation of matrices is complicated.
Not all places are correctly processed for GLSL rendering (e.g. text).
Matrices stack (glPushMatrix) should be either simulated or withdrawn.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0025301closedbugmaster Open CASCADE Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv() 
parent of 0025483closedbugmaster Open CASCADE Visualization, TKOpenGl - fix memory leak due to unused stack in OpenGl_StateInterface 
related to 0025162closedbugmaster Open CASCADE Visualization, TKOpenGl - drop GLU library dependency 
related to 0025328closedbugmaster Open CASCADE Visualization, TKOpenGl - support text rendering within built-in GLSL programs 
related to 0025500closedbugmaster Open CASCADE Visualization, TKOpenGl - global trihedron should not inherit transformation from last object 
related to 0025580closedbugmaster Open CASCADE Visualization, TKOpenGl - create GLushort index buffer in OpenGl_Quadric::createArrays() when sufficient 
related to 0025867closedbugmaster Open CASCADE Visualization, TKOpenGl - fix misprint in transformation persistence math 
related to 0026276closedbugmaster Open CASCADE Visualization, TKOpenGl - add missing Standard_EXPORT to matrix management methods in OpenGl_Context 
related to 0026844closedbugmaster Open CASCADE Visualization, OpenGl_Flipper - fix issues within Core Profile and OpenGL ES 

-  Notes
(0032615)
git (administrator)
2014-10-03 11:17

Branch CR24381 has been created by dbp.

SHA-1: d80d6ff2c887ea27d2c53d3766d05e8dc0c3f774


Detailed log of new commits:

Author: dbp
Date: Fri Oct 3 11:17:29 2014 +0400

    Eliminating matrix operations from z-buffer trihedron.
(0032626)
git (administrator)
2014-10-03 13:30

Branch CR24381 has been updated by dbp.

SHA-1: 3205d9046df28bdc57b6eb745ca9275f742d46df


Detailed log of new commits:

Author: dbp
Date: Fri Oct 3 13:29:40 2014 +0400

    Eliminating glPushMatrix/glPopMatrix.

(0032635)
git (administrator)
2014-10-03 14:42

Branch CR24381 has been updated by dbp.

SHA-1: 02943ff1744c9daa8f8fee47a885675995b51f3b


Detailed log of new commits:

Author: dbp
Date: Fri Oct 3 14:41:57 2014 +0400

    Eliminating OpenGl matrix operations from OpenGl_Text.cxx.

(0032642)
git (administrator)
2014-10-03 15:13

Branch CR24381 has been updated by dbp.

SHA-1: d2c4d29bbbf4e1c2305c24fc626fb4f0249ee04e


Detailed log of new commits:

Author: dbp
Date: Fri Oct 3 15:13:36 2014 +0400

    Eliminating OpenGL matrix operations from OpenGl_Structure.

(0032648)
git (administrator)
2014-10-03 16:08

Branch CR24381_1 has been created by dbp.

SHA-1: ad06e96db88ab231559a2015820bd07bdda7ad73


Detailed log of new commits:

Author: dbp
Date: Fri Oct 3 16:08:07 2014 +0400

    Eliminating OpenGl matrix operations.
(0032688)
dbp (developer)
2014-10-06 10:32

Dear duv,

please review (and possibly correct) the patch in branch CR24381_1. Please check all fragments in which camera information can be used.
(0032941)
git (administrator)
2014-10-09 18:40

Branch CR24381_2 has been created by duv.

SHA-1: b4a9292b2a9477566dadcea23d063ba605890e2d


Detailed log of new commits:

Author: duv
Date: Thu Oct 9 18:38:10 2014 +0400

    Porting to matrix stack

Author: duv
Date: Tue Oct 7 11:44:52 2014 +0400

    Move shaders to OpenGL_Mat4.

Author: duv
Date: Mon Oct 6 18:22:20 2014 +0400

    Matrix stack implemented.
(0033037)
git (administrator)
2014-10-13 19:19

Branch CR24381 has been updated forcibly by duv.

SHA-1: 51262f0995c45278b16fec58631fffa252b1d597
(0033038)
duv (developer)
2014-10-13 19:21

Dear kgv,

Please review the patch.
(0033173)
git (administrator)
2014-10-15 19:51

Branch CR24381 has been updated by kgv.

SHA-1: bf4e2ac17359ffc027118264335a59011fc5ffd1


Detailed log of new commits:

Author: kgv
Date: Wed Oct 15 19:51:16 2014 +0400

    Move OpenGl_Quadric classes to dedicated files

Author: kgv
Date: Wed Oct 15 19:26:39 2014 +0400

    OpenGl_Quadric - inherit from OpenGl_PrimitiveArray, eliminate duplicated arrays

(0033175)
git (administrator)
2014-10-15 20:43

Branch CR24381 has been updated by kgv.

SHA-1: 464bc9ec55403e70b0f5644210a1cac2be984855


Detailed log of new commits:

Author: kgv
Date: Wed Oct 15 20:43:45 2014 +0400

    OpenGl_Trihedron - fix memory leak on OpenGl_Quadric fields allocated dynamically

(0033184)
git (administrator)
2014-10-16 11:56

Branch CR24381 has been updated by kgv.

SHA-1: 9e157d9d8cd101394533af51c83fa4641fa97651


Detailed log of new commits:

Author: kgv
Date: Thu Oct 16 11:56:45 2014 +0400

    cosmetics

Author: kgv
Date: Thu Oct 16 11:26:08 2014 +0400

    OpenGl_Trihedron::redrawZBuffer() - do not use glPushAttrib()/glPopAttrib()

(0033185)
git (administrator)
2014-10-16 12:03

Branch CR24381_3 has been created by kgv.

SHA-1: e24ead629bf34add4c7891bc08613164fd392e1d


Detailed log of new commits:

Author: duv
Date: Thu Oct 16 12:01:51 2014 +0400

    0024381: TKOpenGl - revise matrices stack and usage of temporary matrices
(0033198)
git (administrator)
2014-10-16 13:04

Branch CR24381_3 has been updated by kgv.

SHA-1: d60240d1aab415bad18064de964063efbd38de32


Detailed log of new commits:

Author: kgv
Date: Thu Oct 16 13:04:42 2014 +0400

    NCollection_Mat4 - fix new compilation errors and warnings

(0033211)
git (administrator)
2014-10-16 14:30

Branch CR24381_3 has been updated by kgv.

SHA-1: 04dca294a16c58ffc78763c5b259a2d962dbddbf


Detailed log of new commits:

Author: kgv
Date: Thu Oct 16 14:30:23 2014 +0400

    OpenGl_Utils - fix compilation errors on gcc

(0033213)
git (administrator)
2014-10-16 14:59

Branch CR24381_4 has been created by kgv.

SHA-1: f79cdaf9a69ca98d3030cc990ce4cce1e9ae7dcb


Detailed log of new commits:

Author: kgv
Date: Thu Oct 16 14:31:41 2014 +0400

    0024381: TKOpenGl - revise matrices stack and usage of temporary matrices

Author: kgv
Date: Wed Oct 8 12:29:47 2014 +0400

    0025303: Visualization, TKOpenGl - dynamically disable unused light sources in generated GLSL program
(0033214)
git (administrator)
2014-10-16 15:23

Branch CR24381_4 has been updated by kgv.

SHA-1: d3038fc5cb96308c64693165651e4feb301be1e9


Detailed log of new commits:

Author: kgv
Date: Thu Oct 16 15:23:21 2014 +0400

    OpenGl_Context::ApplyModelViewMatrix() - fix compiler warning on Android

(0033215)
kgv (developer)
2014-10-16 15:24

Please test the patch in branch CR24381_4.
(0033292)
apv (tester)
2014-10-17 19:42

Dear kgv,

Please rebase branch CR24381_4 to new master.
(0033308)
git (administrator)
2014-10-20 10:13

Branch CR24381_5 has been created by kgv.

SHA-1: 2ede62fc94a047ef51b6f813ede4171c9f8684f7


Detailed log of new commits:

Author: duv
Date: Thu Oct 16 14:31:41 2014 +0400

    0024381: TKOpenGl - revise matrices stack and usage of temporary matrices
(0033309)
kgv (developer)
2014-10-20 10:14

Please test branch CR24381_5.
(0033545)
apv (tester)
2014-10-22 13:26

Dear BugMaster,

Branch CR24381_5 was compiled on Linux platform.
There are following compilation errors:
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR24381_5/job/mnt-CR24381_5-master_build_occt_linux/2/parsed_console/ [^]
1. ../../../../inc/OpenGl_GlFunctions.hxx:1038: error: ‘PFNGLBINDFRAGDATALOCATIONINDEXEDPROC’ does not name a type
2. ../../../../inc/OpenGl_GlFunctions.hxx:1039: error: ‘PFNGLGETFRAGDATAINDEXPROC’ does not name a type
3. ../../../../inc/OpenGl_GlFunctions.hxx:1043: error: ‘PFNGLGENSAMPLERSPROC’ does not name a type
...
Total: 260 errors
(0033554)
git (administrator)
2014-10-22 14:13

Branch CR24381_5 has been updated by kgv.

SHA-1: 2f2a6a524b44f8d7e6e1f843cb40c43dac4a05fd


Detailed log of new commits:

Author: kgv
Date: Wed Oct 22 14:13:41 2014 +0400

    OpenGl_Window - revert header inclusion order change

(0033555)
kgv (developer)
2014-10-22 14:14

Please try updated branch.
(0033624)
apv (tester)
2014-10-23 12:27

Dear BugMaster,

Branch CR24381_5 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 2f2a6a524b44f8d7e6e1f843cb40c43dac4a05fd

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 368829344 / 368919864
Total CPU difference: 47217.09000000007 / 44655.71000000001

Testing on Windows:
Total MEMORY difference: 368829344 / 368919864
Total CPU difference: 47217.09000000007 / 44655.71000000001

There are differences in images found by testdiff:
http://occt-tests/CR24381-5-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24381-5-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
Pay attention to (Linux only):
demo samples dimensions
bugs vis bug25132, bug22368, bug23120, bug24901, bug24224, bug25276, bug23120, bug24902, bug223
(0033688)
git (administrator)
2014-10-24 15:38

Branch CR24381_6 has been created by dbp.

SHA-1: ffd7e5c4d4ad82a1bebd67d5ef089b81fe4008ec


No new revisions were added by this update.
(0033695)
git (administrator)
2014-10-24 17:45

Branch CR24381_6 has been updated forcibly by dbp.

SHA-1: 9914f11348eac6b4e0a26e63d1056d06bfc51d46
(0033696)
dbp (developer)
2014-10-24 17:48

Dear bugmaster,

please re-test the patch in branch CR24381_6.
(0033704)
git (administrator)
2014-10-24 19:35

Branch CR24381_6 has been updated by dbp.

SHA-1: d8600b617967b83740ec98d197f5bc1ce3d960dd


Detailed log of new commits:

Author: dbp
Date: Fri Oct 24 19:35:06 2014 +0400

    Fix problem with capping surfaces.

(0033716)
git (administrator)
2014-10-27 12:04

Branch CR24381_6 has been updated forcibly by dbp.

SHA-1: 72039a51bd1f41838a1b39bedc751d432a0ba97c
(0033774)
apv (tester)
2014-10-28 15:11

Dear BugMaster,

Branch CR24381_6 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 72039a51bd1f41838a1b39bedc751d432a0ba97c

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 372387260 / 371798320
Total CPU difference: 48110.360000000175 / 48296.50000000005

Testing on Windows:
Total MEMORY difference: 275266560 / 273087684
Total CPU difference: 45199.390625 / 37050.84375

There are differences in images found by testdiff:
http://occt-tests/CR24381-6-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24381-6-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
Pay attention to:
bugs vis bug25276, bug22337
(0033906)
git (administrator)
2014-10-30 18:46

Branch CR24381_6 has been updated by kgv.

SHA-1: 1a6ee0a38e37c860108eda3cbad0ddd61bc6baef


Detailed log of new commits:

Author: kgv
Date: Thu Oct 30 19:42:46 2014 +0400

    OpenGl_View::ReleaseGlResources() - release GL resources of trihedron, do not destroy it

(0033923)
git (administrator)
2014-10-31 10:37

Branch CR24381_7 has been created by kgv.

SHA-1: 28746337be1be156ded4238dabcc151e4ce60e3e


No new revisions were added by this update.
(0033925)
git (administrator)
2014-10-31 10:59

Branch CR24381_7 has been updated by kgv.

SHA-1: a995ce3b55e2969497880e939ef0ef92496d8bc3


Detailed log of new commits:

Author: duv
Date: Fri Oct 31 10:29:51 2014 +0300

    0024381: Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices
    0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()
    
    OpenGl_View::ReleaseGlResources() - release GL resources of trihedron, do not destroy it

(0034011)
git (administrator)
2014-11-03 20:33

Branch CR24381_8 has been created by kgv.

SHA-1: 05c3eb43779c38a9cffc0759d09c47a1a323aef5


Detailed log of new commits:

Author: kgv
Date: Mon Nov 3 20:32:37 2014 +0300

    OpenGl_Structure::Render() - fix rebase issue

Author: duv
Date: Fri Oct 31 10:29:51 2014 +0300

    0024381: Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices
    0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()
    
    OpenGl_View::ReleaseGlResources() - release GL resources of trihedron, do not destroy it
(0034012)
git (administrator)
2014-11-03 23:16

Branch CR24381_8 has been updated by kgv.

SHA-1: e6caba77f5926a28db5f26a3ae6917d4e99d9f33


Detailed log of new commits:

Author: kgv
Date: Mon Nov 3 23:15:55 2014 +0300

    OpenGl_View::RedrawScene() - compute proper projection matrix within printer context

(0034013)
git (administrator)
2014-11-03 23:22

Branch CR24381_9 has been created by kgv.

SHA-1: 7464e61bec1cd49288a923129325b945e8729ab4


Detailed log of new commits:

Author: duv
Date: Mon Nov 3 23:18:25 2014 +0300

    0024381: Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices
    0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()
    
    OpenGl_View::ReleaseGlResources() - release GL resources of trihedron, do not destroy it
(0034014)
kgv (developer)
2014-11-03 23:24

> Pay attention to: bugs vis bug25276, bug22337
Regressions should be fixed now, please test branch CR24381_9.
(0034022)
git (administrator)
2014-11-05 11:20

Branch CR24381_9_CR25438 has been created by inv.

SHA-1: 4963d2e9a96719bee818cc80af08fc529ffcbb33


Detailed log of new commits:

Author: kgv
Date: Fri Oct 31 15:33:12 2014 +0300

    0025438: Visualization, TKOpenGl - always setup viewport within OpenGl_Workspace::Redraw()
(0034063)
apv (tester)
2014-11-05 17:24

Dear BugMaster,

Branch CR24381_9_CR25438 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 4963d2e9a96719bee818cc80af08fc529ffcbb33

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 372579184 / 373127428
Total CPU difference: 46335.78999999996 / 48561.70000000008

Testing on Windows:
Total MEMORY difference: 274595460 / 274441904
Total CPU difference: 33781.921875 / 34083.171875
(0034182)
git (administrator)
2014-11-10 09:57

Branch CR24381 has been deleted by kgv.

SHA-1: 9e157d9d8cd101394533af51c83fa4641fa97651
(0034183)
git (administrator)
2014-11-10 09:57

Branch CR24381_1 has been deleted by kgv.

SHA-1: ad06e96db88ab231559a2015820bd07bdda7ad73
(0034184)
git (administrator)
2014-11-10 09:57

Branch CR24381_2 has been deleted by kgv.

SHA-1: b4a9292b2a9477566dadcea23d063ba605890e2d
(0034185)
git (administrator)
2014-11-10 09:57

Branch CR24381_3 has been deleted by kgv.

SHA-1: 04dca294a16c58ffc78763c5b259a2d962dbddbf
(0034186)
git (administrator)
2014-11-10 09:57

Branch CR24381_4 has been deleted by kgv.

SHA-1: d3038fc5cb96308c64693165651e4feb301be1e9
(0034187)
git (administrator)
2014-11-10 09:57

Branch CR24381_5 has been deleted by kgv.

SHA-1: 2f2a6a524b44f8d7e6e1f843cb40c43dac4a05fd
(0034188)
git (administrator)
2014-11-10 09:57

Branch CR24381_6 has been deleted by kgv.

SHA-1: 1a6ee0a38e37c860108eda3cbad0ddd61bc6baef
(0034189)
git (administrator)
2014-11-10 09:57

Branch CR24381_7 has been deleted by kgv.

SHA-1: a995ce3b55e2969497880e939ef0ef92496d8bc3
(0034190)
git (administrator)
2014-11-10 09:57

Branch CR24381_8 has been deleted by kgv.

SHA-1: e6caba77f5926a28db5f26a3ae6917d4e99d9f33
(0034264)
git (administrator)
2014-11-12 09:02

Branch CR24381_9 has been deleted by kgv.

SHA-1: 7464e61bec1cd49288a923129325b945e8729ab4
(0034265)
git (administrator)
2014-11-12 09:02

Branch CR24381_9_CR25438 has been deleted by kgv.

SHA-1: 4963d2e9a96719bee818cc80af08fc529ffcbb33

- Related Changesets
occt: master c827ea3a
Timestamp: 2014-11-03 20:18:25
Author: duv
Committer: bugmaster
Details ] Diff ]
0024381: Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices
0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()

OpenGl_View::ReleaseGlResources() - release GL resources of trihedron, do not destroy it
mod - src/NCollection/NCollection_Mat4.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Clipping.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Cylinder.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Cylinder.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Disk.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Disk.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Flipper.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrinterContext.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrinterContext.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Quadric.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Quadric.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderStates.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderStates.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Sphere.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Sphere.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Utils.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-11-19 16:42 kgv New Issue
2013-11-19 16:42 kgv Assigned To => san
2013-11-19 16:42 kgv Relationship added related to 0024374
2013-11-19 16:42 kgv Relationship added related to 0024001
2013-11-23 14:57 kgv Relationship added related to 0024393
2014-04-04 18:32 abv Target Version 6.7.1 => 6.8.0
2014-08-18 17:33 kgv Relationship added related to 0025162
2014-10-02 15:31 kgv Assigned To san => dbp
2014-10-02 15:31 kgv Status new => assigned
2014-10-02 15:31 kgv Description Updated View Revisions
2014-10-03 11:17 git Note Added: 0032615
2014-10-03 13:30 git Note Added: 0032626
2014-10-03 14:42 git Note Added: 0032635
2014-10-03 15:13 git Note Added: 0032642
2014-10-03 16:08 git Note Added: 0032648
2014-10-06 10:32 dbp Note Added: 0032688
2014-10-06 10:32 dbp Assigned To dbp => duv
2014-10-06 10:32 dbp Status assigned => feedback
2014-10-06 12:40 kgv Relationship added related to 0025328
2014-10-09 18:40 git Note Added: 0032941
2014-10-09 18:40 duv Status feedback => assigned
2014-10-13 19:19 git Note Added: 0033037
2014-10-13 19:21 duv Note Added: 0033038
2014-10-13 19:21 duv Assigned To duv => kgv
2014-10-13 19:21 duv Status assigned => resolved
2014-10-15 19:51 git Note Added: 0033173
2014-10-15 20:43 git Note Added: 0033175
2014-10-16 11:56 git Note Added: 0033184
2014-10-16 12:03 git Note Added: 0033185
2014-10-16 13:04 git Note Added: 0033198
2014-10-16 14:30 git Note Added: 0033211
2014-10-16 14:59 git Note Added: 0033213
2014-10-16 15:23 git Note Added: 0033214
2014-10-16 15:24 kgv Note Added: 0033215
2014-10-16 15:24 kgv Assigned To kgv => bugmaster
2014-10-16 15:24 kgv Status resolved => reviewed
2014-10-17 15:29 apv Assigned To bugmaster => apv
2014-10-17 19:42 apv Note Added: 0033292
2014-10-17 19:42 apv Assigned To apv => kgv
2014-10-17 19:42 apv Status reviewed => feedback
2014-10-20 10:13 git Note Added: 0033308
2014-10-20 10:14 kgv Note Added: 0033309
2014-10-20 10:14 kgv Assigned To kgv => bugmaster
2014-10-20 10:14 kgv Priority normal => high
2014-10-20 10:14 kgv Status feedback => reviewed
2014-10-20 12:09 apv Assigned To bugmaster => apv
2014-10-22 13:26 apv Note Added: 0033545
2014-10-22 13:26 apv Assigned To apv => kgv
2014-10-22 13:26 apv Status reviewed => assigned
2014-10-22 14:13 git Note Added: 0033554
2014-10-22 14:14 kgv Note Added: 0033555
2014-10-22 14:14 kgv Assigned To kgv => apv
2014-10-22 14:14 kgv Status assigned => resolved
2014-10-22 14:14 kgv Status resolved => reviewed
2014-10-23 11:28 apv Test case number => Not needed
2014-10-23 12:27 apv Note Added: 0033624
2014-10-23 12:27 apv Assigned To apv => kgv
2014-10-23 12:27 apv Status reviewed => assigned
2014-10-24 15:38 git Note Added: 0033688
2014-10-24 17:45 git Note Added: 0033695
2014-10-24 17:47 dbp Assigned To kgv => dbp
2014-10-24 17:47 dbp Status assigned => resolved
2014-10-24 17:48 dbp Note Added: 0033696
2014-10-24 17:48 dbp Assigned To dbp => bugmaster
2014-10-24 17:48 dbp Status resolved => reviewed
2014-10-24 18:47 apv Assigned To bugmaster => apv
2014-10-24 19:35 git Note Added: 0033704
2014-10-27 12:04 git Note Added: 0033716
2014-10-27 12:07 dbp Relationship added parent of 0025301
2014-10-28 15:11 apv Note Added: 0033774
2014-10-28 15:11 apv Assigned To apv => dbp
2014-10-28 15:11 apv Status reviewed => assigned
2014-10-30 18:46 git Note Added: 0033906
2014-10-31 10:37 git Note Added: 0033923
2014-10-31 10:59 git Note Added: 0033925
2014-10-31 11:03 kgv Summary TKOpenGl - revise matrices stack and usage of temporary matrices => Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices
2014-11-03 20:33 git Note Added: 0034011
2014-11-03 23:16 git Note Added: 0034012
2014-11-03 23:22 git Note Added: 0034013
2014-11-03 23:24 kgv Note Added: 0034014
2014-11-03 23:24 kgv Assigned To dbp => bugmaster
2014-11-03 23:24 kgv Status assigned => resolved
2014-11-03 23:24 kgv Status resolved => reviewed
2014-11-05 11:20 git Note Added: 0034022
2014-11-05 17:24 apv Note Added: 0034063
2014-11-05 17:24 apv Status reviewed => tested
2014-11-06 15:18 bugmaster Changeset attached => occt master c827ea3a
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-10 09:57 git Note Added: 0034182
2014-11-10 09:57 git Note Added: 0034183
2014-11-10 09:57 git Note Added: 0034184
2014-11-10 09:57 git Note Added: 0034185
2014-11-10 09:57 git Note Added: 0034186
2014-11-10 09:57 git Note Added: 0034187
2014-11-10 09:57 git Note Added: 0034188
2014-11-10 09:57 git Note Added: 0034189
2014-11-10 09:57 git Note Added: 0034190
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 09:02 git Note Added: 0034264
2014-11-12 09:02 git Note Added: 0034265
2014-11-14 17:23 kgv Relationship added parent of 0025483
2014-11-20 11:35 kgv Relationship added related to 0025500
2014-12-09 18:00 kgv Relationship added related to 0025580
2015-02-25 14:55 kgv Relationship added related to 0025867
2015-05-29 12:18 kgv Relationship added related to 0026276
2015-11-05 11:50 kgv Relationship added related to 0026844


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker